Bug 617313 - autofs randomly deletes symbolic links and directories (rm_unwanted)
Summary: autofs randomly deletes symbolic links and directories (rm_unwanted)
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
(Show other bugs)
Version: 4.3
Hardware: All Linux
low
high
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: yanfu,wang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 18:50 UTC by mcacciagrano
Modified: 2012-06-20 13:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:25:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mcacciagrano 2010-07-22 18:50:35 UTC
Description of problem: autofs 4.1.3 randomly deletes symbolic links and directories from mounted nfs volumes (rm_unwanted messages in syslog)


Version-Release number of selected component (if applicable): autofs 4.1.3-187
RedHat Enterprise Linux 4, Update 3, kernel 2.6.9-34


How reproducible: Not reproducible, it happen randomly.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: At the time of deletion of the symbolic links and directories, in the syslog of the nfs clients (using autofs) there are messgaes of the type:

automount[xxxx]: rm_unwanted: attemting to remove files from a mounted directory

Comment 1 Ian Kent 2010-07-23 02:18:34 UTC
I'll return to this as soon as I can but what are the reasons
you are on such an old version of RHEL?

Comment 2 mcacciagrano 2010-07-23 06:59:46 UTC
It is unfortunate indeed... the version of the operating system is a requirement of the application that runs on these systems.
The application wouldn't even install without this version of RedHat.

Comment 3 Ian Kent 2010-07-23 13:55:22 UTC
(In reply to comment #2)
> It is unfortunate indeed... the version of the operating system is a
> requirement of the application that runs on these systems.
> The application wouldn't even install without this version of RedHat.    

You should still be able to update to a current autofs revision.
I'll check through the changelog and see if I can see any
relevant changes.

Comment 4 marina cacciagrano 2010-07-26 09:37:56 UTC
This very good news.
Please, let me know where I can find a version I can download. It should be for a 64bits kernel.

Comment 5 Ian Kent 2010-07-26 13:17:02 UTC
(In reply to comment #4)
> This very good news.
> Please, let me know where I can find a version I can download. It should be for
> a 64bits kernel.    

There don't appear to be any changes that would help with this
since the revision you have, except for the handling of the mtab
not being updated. It would be a good idea to update though.

The other sensitive package is the one that contains mount. This
type of problem could be caused by incorrect return codes from
mount. I'll need to go through the change log of that as well
and maybe recommend updating it.

So give me a little longer.
Ian

Comment 6 Jiri Pallich 2012-06-20 13:25:14 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.